=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2009-07-02 21:17:35 +0000
+++ bzrlib/tests/__init__.py	2009-07-10 10:46:00 +0000
@@ -3333,17 +3333,20 @@
     testmod_names = [
                    'bzrlib.doc',
                    'bzrlib.tests.blackbox',
-                   'bzrlib.tests.branch_implementations',
-                   'bzrlib.tests.bzrdir_implementations',
                    'bzrlib.tests.commands',
-                   'bzrlib.tests.interrepository_implementations',
-                   'bzrlib.tests.intertree_implementations',
-                   'bzrlib.tests.inventory_implementations',
+                   'bzrlib.tests.per_branch',
+                   'bzrlib.tests.per_bzrdir',
+                   'bzrlib.tests.per_interrepository',
+                   'bzrlib.tests.per_intertree',
+                   'bzrlib.tests.per_inventory',
                    'bzrlib.tests.per_interbranch',
                    'bzrlib.tests.per_lock',
+                   'bzrlib.tests.per_transport',
+                   'bzrlib.tests.per_tree',
                    'bzrlib.tests.per_repository',
                    'bzrlib.tests.per_repository_chk',
                    'bzrlib.tests.per_repository_reference',
+                   'bzrlib.tests.per_workingtree',
                    'bzrlib.tests.test__annotator',
                    'bzrlib.tests.test__chk_map',
                    'bzrlib.tests.test__dirstate_helpers',
@@ -3482,7 +3485,6 @@
                    'bzrlib.tests.test_transactions',
                    'bzrlib.tests.test_transform',
                    'bzrlib.tests.test_transport',
-                   'bzrlib.tests.test_transport_implementations',
                    'bzrlib.tests.test_transport_log',
                    'bzrlib.tests.test_tree',
                    'bzrlib.tests.test_treebuilder',
@@ -3503,8 +3505,6 @@
                    'bzrlib.tests.test_workingtree_4',
                    'bzrlib.tests.test_wsgi',
                    'bzrlib.tests.test_xml',
-                   'bzrlib.tests.tree_implementations',
-                   'bzrlib.tests.workingtree_implementations',
                    ]
 
     loader = TestUtil.TestLoader()

=== modified file 'bzrlib/tests/blackbox/test_selftest.py'
--- bzrlib/tests/blackbox/test_selftest.py	2009-04-08 19:06:40 +0000
+++ bzrlib/tests/blackbox/test_selftest.py	2009-07-10 07:14:02 +0000
@@ -192,7 +192,7 @@
         try:
             TestCaseWithMemoryTransport.TEST_ROOT = None
             out, err = self.run_bzr('selftest --benchmark'
-                                    ' workingtree_implementations')
+                                    ' per_workingtree')
         finally:
             TestCaseWithMemoryTransport.TEST_ROOT = old_root
         self.assertContainsRe(out, 'Ran 0 tests.*\n\nOK')

=== renamed directory 'bzrlib/tests/branch_implementations' => 'bzrlib/tests/per_branch'
=== modified file 'bzrlib/tests/per_branch/__init__.py'
--- bzrlib/tests/branch_implementations/__init__.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/__init__.py	2009-07-10 10:46:00 +0000
@@ -21,7 +21,7 @@
 
 These test the conformance of all the branch variations to the expected API.
 Specific tests for individual formats are in the tests/test_branch file
-rather than in tests/branch_implementations/*.py.
+rather than in tests/per_branch/*.py.
 """
 
 from bzrlib import (
@@ -38,7 +38,7 @@
     SmartTCPServer_for_testing,
     SmartTCPServer_for_testing_v2_only,
     )
-from bzrlib.tests.bzrdir_implementations.test_bzrdir import TestCaseWithBzrDir
+from bzrlib.tests.per_bzrdir.test_bzrdir import TestCaseWithBzrDir
 from bzrlib.transport.memory import MemoryServer
 
 
@@ -163,34 +163,36 @@
 
 
 def load_tests(standard_tests, module, loader):
-    test_branch_implementations = [
-        'bzrlib.tests.branch_implementations.test_bound_sftp',
-        'bzrlib.tests.branch_implementations.test_branch',
-        'bzrlib.tests.branch_implementations.test_break_lock',
-        'bzrlib.tests.branch_implementations.test_check',
-        'bzrlib.tests.branch_implementations.test_create_checkout',
-        'bzrlib.tests.branch_implementations.test_create_clone',
-        'bzrlib.tests.branch_implementations.test_commit',
-        'bzrlib.tests.branch_implementations.test_dotted_revno_to_revision_id',
-        'bzrlib.tests.branch_implementations.test_get_revision_id_to_revno_map',
-        'bzrlib.tests.branch_implementations.test_hooks',
-        'bzrlib.tests.branch_implementations.test_http',
-        'bzrlib.tests.branch_implementations.test_iter_merge_sorted_revisions',
-        'bzrlib.tests.branch_implementations.test_last_revision_info',
-        'bzrlib.tests.branch_implementations.test_locking',
-        'bzrlib.tests.branch_implementations.test_parent',
-        'bzrlib.tests.branch_implementations.test_permissions',
-        'bzrlib.tests.branch_implementations.test_pull',
-        'bzrlib.tests.branch_implementations.test_push',
-        'bzrlib.tests.branch_implementations.test_reconcile',
-        'bzrlib.tests.branch_implementations.test_revision_history',
-        'bzrlib.tests.branch_implementations.test_revision_id_to_dotted_revno',
-        'bzrlib.tests.branch_implementations.test_revision_id_to_revno',
-        'bzrlib.tests.branch_implementations.test_sprout',
-        'bzrlib.tests.branch_implementations.test_stacking',
-        'bzrlib.tests.branch_implementations.test_tags',
-        'bzrlib.tests.branch_implementations.test_uncommit',
-        'bzrlib.tests.branch_implementations.test_update',
+    per_branch_mod_names = [
+        'bound_sftp',
+        'branch',
+        'break_lock',
+        'check',
+        'create_checkout',
+        'create_clone',
+        'commit',
+        'dotted_revno_to_revision_id',
+        'get_revision_id_to_revno_map',
+        'hooks',
+        'http',
+        'iter_merge_sorted_revisions',
+        'last_revision_info',
+        'locking',
+        'parent',
+        'permissions',
+        'pull',
+        'push',
+        'reconcile',
+        'revision_history',
+        'revision_id_to_dotted_revno',
+        'revision_id_to_revno',
+        'sprout',
+        'stacking',
+        'tags',
+        'uncommit',
+        'update',
         ]
-    sub_tests = loader.loadTestsFromModuleNames(test_branch_implementations)
+    sub_tests = loader.loadTestsFromModuleNames(
+        ['bzrlib.tests.per_branch.test_' + name
+         for name in per_branch_mod_names])
     return tests.multiply_tests(sub_tests, branch_scenarios(), standard_tests)

=== modified file 'bzrlib/tests/per_branch/test_branch.py'
--- bzrlib/tests/branch_implementations/test_branch.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_branch/test_branch.py	2009-07-10 10:46:00 +0000
@@ -43,8 +43,8 @@
 import bzrlib.revision
 from bzrlib.symbol_versioning import deprecated_in
 from bzrlib.tests import TestCase, TestCaseWithTransport, TestSkipped
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
 from bzrlib.tests.http_server import HttpServer
+from bzrlib.tests.per_branch import TestCaseWithBranch
 from bzrlib.trace import mutter
 from bzrlib.transport import get_transport
 from bzrlib.transport.memory import MemoryServer

=== modified file 'bzrlib/tests/per_branch/test_break_lock.py'
--- bzrlib/tests/branch_implementations/test_break_lock.py	2009-04-04 02:50:01 +0000
+++ bzrlib/tests/per_branch/test_break_lock.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
 import bzrlib
 import bzrlib.errors as errors
 from bzrlib.tests import TestCase, TestCaseWithTransport, TestNotApplicable
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestBreakLock(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_check.py'
--- bzrlib/tests/branch_implementations/test_check.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_branch/test_check.py	2009-07-10 05:49:34 +0000
@@ -17,7 +17,7 @@
 """Tests for branch implementations - test check() functionality"""
 
 from bzrlib import errors
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestBranchCheck(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_commit.py'
--- bzrlib/tests/branch_implementations/test_commit.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_commit.py	2009-07-10 05:49:34 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib.branch import Branch
 from bzrlib import errors
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 from bzrlib.revision import NULL_REVISION
 from bzrlib.transport import get_transport
 from bzrlib.delta import TreeDelta

=== modified file 'bzrlib/tests/per_branch/test_create_checkout.py'
--- bzrlib/tests/branch_implementations/test_create_checkout.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_create_checkout.py	2009-07-10 05:49:34 +0000
@@ -20,7 +20,7 @@
     branch,
     )
 from bzrlib.remote import RemoteBranch
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestCreateCheckout(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_create_clone.py'
--- bzrlib/tests/branch_implementations/test_create_clone.py	2009-04-27 03:27:46 +0000
+++ bzrlib/tests/per_branch/test_create_clone.py	2009-07-10 05:49:34 +0000
@@ -20,7 +20,7 @@
 from bzrlib import errors
 from bzrlib import remote
 from bzrlib import tests
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestCreateClone(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_dotted_revno_to_revision_id.py'
--- bzrlib/tests/branch_implementations/test_dotted_revno_to_revision_id.py	2009-06-16 08:06:58 +0000
+++ bzrlib/tests/per_branch/test_dotted_revno_to_revision_id.py	2009-07-10 05:49:34 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib import errors
 
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestDottedRevnoToRevisionId(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_get_revision_id_to_revno_map.py'
--- bzrlib/tests/branch_implementations/test_get_revision_id_to_revno_map.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_get_revision_id_to_revno_map.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
     revision,
     )
 
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestRevisionIdToDottedRevno(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_http.py'
--- bzrlib/tests/branch_implementations/test_http.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_http.py	2009-07-10 10:46:00 +0000
@@ -19,8 +19,8 @@
 import os
 
 from bzrlib import branch, errors
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
 from bzrlib.tests.http_server import HttpServer
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 from bzrlib.transport.local import LocalURLServer
 from bzrlib.transport.chroot import TestingChrootServer
 

=== modified file 'bzrlib/tests/per_branch/test_iter_merge_sorted_revisions.py'
--- bzrlib/tests/branch_implementations/test_iter_merge_sorted_revisions.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_iter_merge_sorted_revisions.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
     revision,
     )
 
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestIterMergeSortedRevisions(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_locking.py'
--- bzrlib/tests/branch_implementations/test_locking.py	2009-05-11 10:37:57 +0000
+++ bzrlib/tests/per_branch/test_locking.py	2009-07-10 10:46:00 +0000
@@ -20,8 +20,8 @@
 from bzrlib.branch import BzrBranchFormat4
 from bzrlib.bzrdir import RemoteBzrDirFormat
 from bzrlib.tests import TestSkipped
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
 from bzrlib.tests.lock_helpers import TestPreventLocking, LockWrapper
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestBranchLocking(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_pull.py'
--- bzrlib/tests/branch_implementations/test_pull.py	2009-05-07 05:08:46 +0000
+++ bzrlib/tests/per_branch/test_pull.py	2009-07-10 05:49:34 +0000
@@ -23,7 +23,7 @@
 from bzrlib import errors
 from bzrlib.memorytree import MemoryTree
 from bzrlib.revision import NULL_REVISION
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestPull(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_push.py'
--- bzrlib/tests/branch_implementations/test_push.py	2009-06-17 08:08:36 +0000
+++ bzrlib/tests/per_branch/test_push.py	2009-07-10 05:49:34 +0000
@@ -35,7 +35,7 @@
 from bzrlib.revision import NULL_REVISION
 from bzrlib.smart import client, server
 from bzrlib.smart.repository import SmartServerRepositoryGetParentMap
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 from bzrlib.transport import get_transport
 from bzrlib.transport.local import LocalURLServer
 

=== modified file 'bzrlib/tests/per_branch/test_reconcile.py'
--- bzrlib/tests/branch_implementations/test_reconcile.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_branch/test_reconcile.py	2009-07-10 05:49:34 +0000
@@ -17,7 +17,7 @@
 """Tests for branch implementations - test reconcile() functionality"""
 
 from bzrlib import errors, reconcile
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestBranchReconcile(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_revision_history.py'
--- bzrlib/tests/branch_implementations/test_revision_history.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_revision_history.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
     errors,
     revision as _mod_revision,
     )
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestLastRevision(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_revision_id_to_dotted_revno.py'
--- bzrlib/tests/branch_implementations/test_revision_id_to_dotted_revno.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_revision_id_to_dotted_revno.py	2009-07-10 05:49:34 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib import errors
 
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestRevisionIdToDottedRevno(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_revision_id_to_revno.py'
--- bzrlib/tests/branch_implementations/test_revision_id_to_revno.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_revision_id_to_revno.py	2009-07-10 05:49:34 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib import errors
 
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestRevisionIdToRevno(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_sprout.py'
--- bzrlib/tests/branch_implementations/test_sprout.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_branch/test_sprout.py	2009-07-10 07:14:02 +0000
@@ -25,7 +25,7 @@
     revision as _mod_revision,
     tests,
     )
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 
 
 class TestSprout(TestCaseWithBranch):
@@ -131,7 +131,7 @@
         # this tests bug #272444
         # Since the trigger function seems to be set_parent_trees, there exists
         # also a similar test, with name test_unicode_symlink, in class
-        # TestSetParents at file workingtree_implementations/test_parents.py
+        # TestSetParents at file per_workingtree/test_parents.py
         self.requireFeature(tests.SymlinkFeature)
         self.requireFeature(tests.UnicodeFilenameFeature)
 

=== modified file 'bzrlib/tests/per_branch/test_stacking.py'
--- bzrlib/tests/branch_implementations/test_stacking.py	2009-06-19 00:33:36 +0000
+++ bzrlib/tests/per_branch/test_stacking.py	2009-07-10 05:49:34 +0000
@@ -24,7 +24,7 @@
 from bzrlib.revision import NULL_REVISION
 from bzrlib.smart import server
 from bzrlib.tests import TestNotApplicable, KnownFailure, transport_util
-from bzrlib.tests.branch_implementations import TestCaseWithBranch
+from bzrlib.tests.per_branch import TestCaseWithBranch
 from bzrlib.transport import get_transport
 
 

=== modified file 'bzrlib/tests/per_branch/test_tags.py'
--- bzrlib/tests/branch_implementations/test_tags.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_tags.py	2009-07-10 10:46:00 +0000
@@ -31,8 +31,7 @@
 from bzrlib.trace import mutter
 from bzrlib.workingtree import WorkingTree
 
-from bzrlib.tests.branch_implementations.test_branch \
-        import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 class TestBranchTags(TestCaseWithBranch):

=== modified file 'bzrlib/tests/per_branch/test_uncommit.py'
--- bzrlib/tests/branch_implementations/test_uncommit.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_uncommit.py	2009-07-10 05:49:34 +0000
@@ -21,7 +21,7 @@
 
 from bzrlib.branch import Branch
 from bzrlib import errors
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 from bzrlib.uncommit import uncommit
 
 

=== modified file 'bzrlib/tests/per_branch/test_update.py'
--- bzrlib/tests/branch_implementations/test_update.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_branch/test_update.py	2009-07-10 05:49:34 +0000
@@ -19,7 +19,7 @@
     errors,
     revision as _mod_revision,
     )
-from bzrlib.tests.branch_implementations.test_branch import TestCaseWithBranch
+from bzrlib.tests.per_branch.test_branch import TestCaseWithBranch
 
 
 """Tests for branch.update()"""

=== renamed directory 'bzrlib/tests/bzrdir_implementations' => 'bzrlib/tests/per_bzrdir'
=== modified file 'bzrlib/tests/per_bzrdir/__init__.py'
--- bzrlib/tests/bzrdir_implementations/__init__.py	2009-04-03 14:24:40 +0000
+++ bzrlib/tests/per_bzrdir/__init__.py	2009-07-10 06:45:04 +0000
@@ -21,7 +21,7 @@
 
 These test the conformance of all the bzrdir variations to the expected API.
 Specific tests for individual formats are in the tests/test_bzrdir.py file
-rather than in tests/branch_implementations/*.py.
+rather than in tests/per_branch/*.py.
 """
 
 from bzrlib.bzrdir import BzrDirFormat
@@ -74,11 +74,11 @@
 
 
 def load_tests(standard_tests, module, loader):
-    test_bzrdir_implementations = [
-        'bzrlib.tests.bzrdir_implementations.test_bzrdir',
-        'bzrlib.tests.bzrdir_implementations.test_push',
+    test_per_bzrdir = [
+        'bzrlib.tests.per_bzrdir.test_bzrdir',
+        'bzrlib.tests.per_bzrdir.test_push',
         ]
-    submod_tests = loader.loadTestsFromModuleNames(test_bzrdir_implementations)
+    submod_tests = loader.loadTestsFromModuleNames(test_per_bzrdir)
     formats = BzrDirFormat.known_formats()
     scenarios = make_scenarios(
         default_transport,

=== modified file 'bzrlib/tests/per_bzrdir/test_bzrdir.py'
--- bzrlib/tests/bzrdir_implementations/test_bzrdir.py	2009-06-22 15:13:45 +0000
+++ bzrlib/tests/per_bzrdir/test_bzrdir.py	2009-07-10 06:45:04 +0000
@@ -53,7 +53,7 @@
                           TestNotApplicable,
                           TestSkipped,
                           )
-from bzrlib.tests.bzrdir_implementations import TestCaseWithBzrDir
+from bzrlib.tests.per_bzrdir import TestCaseWithBzrDir
 from bzrlib.trace import mutter
 from bzrlib.transport import get_transport
 from bzrlib.transport.local import LocalTransport

=== modified file 'bzrlib/tests/per_bzrdir/test_push.py'
--- bzrlib/tests/bzrdir_implementations/test_push.py	2009-06-19 00:07:31 +0000
+++ bzrlib/tests/per_bzrdir/test_push.py	2009-07-10 06:45:04 +0000
@@ -19,7 +19,7 @@
 from bzrlib import (
     errors,
     )
-from bzrlib.tests.bzrdir_implementations import (
+from bzrlib.tests.per_bzrdir import (
     TestCaseWithBzrDir,
     )
 

=== modified file 'bzrlib/tests/per_interbranch/test_pull.py'
--- bzrlib/tests/per_interbranch/test_pull.py	2009-05-06 16:15:32 +0000
+++ bzrlib/tests/per_interbranch/test_pull.py	2009-07-10 05:49:34 +0000
@@ -27,7 +27,7 @@
 
 
 # The tests here are based on the tests in 
-# bzrlib.tests.branch_implementations.test_pull
+# bzrlib.tests.per_branch.test_pull
 
 
 class TestPull(TestCaseWithInterBranch):

=== modified file 'bzrlib/tests/per_interbranch/test_push.py'
--- bzrlib/tests/per_interbranch/test_push.py	2009-05-05 12:54:51 +0000
+++ bzrlib/tests/per_interbranch/test_push.py	2009-07-10 05:49:34 +0000
@@ -43,7 +43,7 @@
 
 
 # These tests are based on similar tests in 
-# bzrlib.tests.branch_implementations.test_push.
+# bzrlib.tests.per_branch.test_push.
 
 
 class TestPush(TestCaseWithInterBranch):

=== renamed directory 'bzrlib/tests/interrepository_implementations' => 'bzrlib/tests/per_interrepository'
=== modified file 'bzrlib/tests/per_interrepository/__init__.py'
--- bzrlib/tests/interrepository_implementations/__init__.py	2009-04-18 20:41:29 +0000
+++ bzrlib/tests/per_interrepository/__init__.py	2009-07-10 06:46:10 +0000
@@ -22,7 +22,7 @@
 These test the conformance of all the interrepository variations to the
 expected API including generally applicable corner cases.
 Specific tests for individual formats are in the tests/test_repository.py file
-rather than in tests/interrepository_implementations/*.py.
+rather than in tests/per_interrepository/*.py.
 """
 
 
@@ -40,7 +40,7 @@
                           default_transport,
                           multiply_tests,
                           )
-from bzrlib.tests.bzrdir_implementations.test_bzrdir import TestCaseWithBzrDir
+from bzrlib.tests.per_bzrdir.test_bzrdir import TestCaseWithBzrDir
 from bzrlib.transport import get_transport
 
 
@@ -152,8 +152,8 @@
 
 def load_tests(standard_tests, module, loader):
     submod_tests = loader.loadTestsFromModuleNames([
-        'bzrlib.tests.interrepository_implementations.test_fetch',
-        'bzrlib.tests.interrepository_implementations.test_interrepository',
+        'bzrlib.tests.per_interrepository.test_fetch',
+        'bzrlib.tests.per_interrepository.test_interrepository',
         ])
     scenarios = make_scenarios(
         default_transport,

=== modified file 'bzrlib/tests/per_interrepository/test_fetch.py'
--- bzrlib/tests/interrepository_implementations/test_fetch.py	2009-04-20 08:37:32 +0000
+++ bzrlib/tests/per_interrepository/test_fetch.py	2009-07-10 06:46:10 +0000
@@ -35,10 +35,10 @@
 from bzrlib.tests import (
     TestNotApplicable,
     )
-from bzrlib.tests.interrepository_implementations import (
+from bzrlib.tests.per_interrepository import (
     TestCaseWithInterRepository,
     )
-from bzrlib.tests.interrepository_implementations.test_interrepository import (
+from bzrlib.tests.per_interrepository.test_interrepository import (
     check_repo_format_for_funky_id_on_win32
     )
 

=== modified file 'bzrlib/tests/per_interrepository/test_interrepository.py'
--- bzrlib/tests/interrepository_implementations/test_interrepository.py	2009-03-24 01:53:42 +0000
+++ bzrlib/tests/per_interrepository/test_interrepository.py	2009-07-10 06:46:10 +0000
@@ -33,7 +33,7 @@
     TestNotApplicable,
     TestSkipped,
     )
-from bzrlib.tests.interrepository_implementations import (
+from bzrlib.tests.per_interrepository import (
     TestCaseWithInterRepository,
     )
 

=== renamed directory 'bzrlib/tests/intertree_implementations' => 'bzrlib/tests/per_intertree'
=== modified file 'bzrlib/tests/per_intertree/__init__.py'
--- bzrlib/tests/intertree_implementations/__init__.py	2009-04-09 20:23:07 +0000
+++ bzrlib/tests/per_intertree/__init__.py	2009-07-10 07:14:02 +0000
@@ -34,7 +34,7 @@
     default_transport,
     multiply_tests,
     )
-from bzrlib.tests.tree_implementations import (
+from bzrlib.tests.per_tree import (
     return_parameter,
     revision_tree_from_workingtree,
     TestCaseWithTree,
@@ -125,7 +125,7 @@
 def load_tests(standard_tests, module, loader):
     default_tree_format = WorkingTreeFormat3()
     submod_tests = loader.loadTestsFromModuleNames([
-        'bzrlib.tests.intertree_implementations.test_compare',
+        'bzrlib.tests.per_intertree.test_compare',
         ])
     test_intertree_permutations = [
         # test InterTree with two default-format working trees.

=== modified file 'bzrlib/tests/per_intertree/test_compare.py'
--- bzrlib/tests/intertree_implementations/test_compare.py	2009-07-08 13:36:29 +0000
+++ bzrlib/tests/per_intertree/test_compare.py	2009-07-10 12:40:36 +0000
@@ -27,7 +27,7 @@
     )
 from bzrlib.osutils import file_kind, has_symlinks
 from bzrlib.tests import TestNotApplicable
-from bzrlib.tests.intertree_implementations import TestCaseWithTwoTrees
+from bzrlib.tests.per_intertree import TestCaseWithTwoTrees
 
 # TODO: test the include_root option.
 # TODO: test that renaming a directory x->y does not emit a rename for the

=== renamed directory 'bzrlib/tests/inventory_implementations' => 'bzrlib/tests/per_inventory'
=== modified file 'bzrlib/tests/per_inventory/__init__.py'
--- bzrlib/tests/inventory_implementations/__init__.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_inventory/__init__.py	2009-07-10 07:14:02 +0000
@@ -21,7 +21,7 @@
 def load_tests(basic_tests, module, loader):
     """Generate suite containing all parameterized tests"""
     modules_to_test = [
-        'bzrlib.tests.inventory_implementations.basics',
+        'bzrlib.tests.per_inventory.basics',
         ]
     from bzrlib.inventory import Inventory
     scenarios = [('Inventory', {'inventory_class':Inventory})]

=== modified file 'bzrlib/tests/per_repository/__init__.py'
--- bzrlib/tests/per_repository/__init__.py	2009-03-30 11:49:32 +0000
+++ bzrlib/tests/per_repository/__init__.py	2009-07-10 06:45:04 +0000
@@ -21,7 +21,7 @@
 
 These test the conformance of all the repository variations to the expected API.
 Specific tests for individual formats are in the tests/test_repository.py file
-rather than in tests/branch_implementations/*.py.
+rather than in tests/per_branch/*.py.
 """
 
 from bzrlib import (
@@ -43,7 +43,7 @@
                           multiply_scenarios,
                           multiply_tests,
                           )
-from bzrlib.tests.bzrdir_implementations.test_bzrdir import TestCaseWithBzrDir
+from bzrlib.tests.per_bzrdir.test_bzrdir import TestCaseWithBzrDir
 from bzrlib.transport.memory import MemoryServer
 
 

=== modified file 'bzrlib/tests/per_repository/test_fetch.py'
--- bzrlib/tests/per_repository/test_fetch.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_repository/test_fetch.py	2009-07-10 06:46:10 +0000
@@ -355,7 +355,7 @@
     """Tests for/about the results of Repository._get_source."""
 
     def test_no_absent_records_in_stream_with_ghosts(self):
-        # XXX: Arguably should be in interrepository_implementations but
+        # XXX: Arguably should be in per_interrepository but
         # doesn't actually gain coverage there; need a specific set of
         # permutations to cover it.
         # bug lp:376255 was reported about this.

=== renamed file 'bzrlib/tests/test_transport_implementations.py' => 'bzrlib/tests/per_transport.py'
=== renamed directory 'bzrlib/tests/tree_implementations' => 'bzrlib/tests/per_tree'
=== modified file 'bzrlib/tests/per_tree/__init__.py'
--- bzrlib/tests/tree_implementations/__init__.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_tree/__init__.py	2009-07-10 10:46:00 +0000
@@ -19,10 +19,10 @@
 
 These test the conformance of all the tree variations to the expected API.
 Specific tests for individual variations are in other places such as:
+ - tests/per_workingtree/*.py.
  - tests/test_tree.py
  - tests/test_revision.py
  - tests/test_workingtree.py
- - tests/workingtree_implementations/*.py.
 """
 
 from bzrlib import (
@@ -32,8 +32,8 @@
     tests,
     transform,
     )
-from bzrlib.tests.bzrdir_implementations.test_bzrdir import TestCaseWithBzrDir
-from bzrlib.tests.workingtree_implementations import (
+from bzrlib.tests.per_bzrdir.test_bzrdir import TestCaseWithBzrDir
+from bzrlib.tests.per_workingtree import (
     make_scenarios as wt_make_scenarios,
     make_scenario as wt_make_scenario,
     )
@@ -362,21 +362,24 @@
 
 
 def load_tests(standard_tests, module, loader):
-    submod_tests = loader.loadTestsFromModuleNames([
-        'bzrlib.tests.tree_implementations.test_annotate_iter',
-        'bzrlib.tests.tree_implementations.test_get_file_mtime',
-        'bzrlib.tests.tree_implementations.test_get_file_with_stat',
-        'bzrlib.tests.tree_implementations.test_get_root_id',
-        'bzrlib.tests.tree_implementations.test_get_symlink_target',
-        'bzrlib.tests.tree_implementations.test_inv',
-        'bzrlib.tests.tree_implementations.test_iter_search_rules',
-        'bzrlib.tests.tree_implementations.test_list_files',
-        'bzrlib.tests.tree_implementations.test_path_content_summary',
-        'bzrlib.tests.tree_implementations.test_revision_tree',
-        'bzrlib.tests.tree_implementations.test_test_trees',
-        'bzrlib.tests.tree_implementations.test_tree',
-        'bzrlib.tests.tree_implementations.test_walkdirs',
-        ])
+    per_tree_mod_names = [
+        'annotate_iter',
+        'get_file_mtime',
+        'get_file_with_stat',
+        'get_root_id',
+        'get_symlink_target',
+        'inv',
+        'iter_search_rules',
+        'list_files',
+        'path_content_summary',
+        'revision_tree',
+        'test_trees',
+        'tree',
+        'walkdirs',
+        ]
+    submod_tests = loader.loadTestsFromModuleNames(
+        ['bzrlib.tests.per_tree.test_' + name
+         for name in per_tree_mod_names])
     scenarios = make_scenarios(
         tests.default_transport,
         # None here will cause a readonly decorator to be created

=== modified file 'bzrlib/tests/per_tree/test_annotate_iter.py'
--- bzrlib/tests/tree_implementations/test_annotate_iter.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_tree/test_annotate_iter.py	2009-07-10 07:14:02 +0000
@@ -16,7 +16,7 @@
 
 """Test that all Tree's implement .annotate_iter()"""
 
-from bzrlib.tests.tree_implementations import TestCaseWithTree
+from bzrlib.tests.per_tree import TestCaseWithTree
 
 
 class TestAnnotate(TestCaseWithTree):

=== modified file 'bzrlib/tests/per_tree/test_get_file_mtime.py'
--- bzrlib/tests/tree_implementations/test_get_file_mtime.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_tree/test_get_file_mtime.py	2009-07-10 07:14:02 +0000
@@ -18,7 +18,7 @@
 
 import time
 
-from bzrlib.tests.tree_implementations import TestCaseWithTree
+from bzrlib.tests.per_tree import TestCaseWithTree
 
 
 class TestGetFileMTime(TestCaseWithTree):

=== modified file 'bzrlib/tests/per_tree/test_get_file_with_stat.py'
--- bzrlib/tests/tree_implementations/test_get_file_with_stat.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_tree/test_get_file_with_stat.py	2009-07-10 07:14:02 +0000
@@ -18,7 +18,7 @@
 
 import os
 
-from bzrlib.tests.tree_implementations import TestCaseWithTree
+from bzrlib.tests.per_tree import TestCaseWithTree
 
 
 class TestGetFileWithStat(TestCaseWithTree):

=== modified file 'bzrlib/tests/per_tree/test_get_root_id.py'
--- bzrlib/tests/tree_implementations/test_get_root_id.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_tree/test_get_root_id.py	2009-07-10 07:14:02 +0000
@@ -16,7 +16,7 @@
 
 """Tests for Tree.get_root_id()"""
 
-from bzrlib.tests.tree_implementations import TestCaseWithTree
+from bzrlib.tests.per_tree import TestCaseWithTree
 
 
 class TestGetRootID(TestCaseWithTree):

=== modified file 'bzrlib/tests/per_tree/test_get_symlink_target.py'
--- bzrlib/tests/tree_implementations/test_get_symlink_target.py	2009-05-06 05:36:28 +0000
+++ bzrlib/tests/per_tree/test_get_symlink_target.py	2009-07-10 07:14:02 +0000
@@ -23,10 +23,10 @@
     osutils,
     tests,
     )
-from bzrlib.tests import tree_implementations
-
-
-class TestGetSymlinkTarget(tree_implementations.TestCaseWithTree):
+from bzrlib.tests import per_tree
+
+
+class TestGetSymlinkTarget(per_tree.TestCaseWithTree):
 
     def get_tree_with_symlinks(self):
         self.requireFeature(tests.SymlinkFeature)

=== modified file 'bzrlib/tests/per_tree/test_inv.py'
--- bzrlib/tests/tree_implementations/test_inv.py	2009-04-11 16:06:53 +0000
+++ bzrlib/tests/per_tree/test_inv.py	2009-07-10 07:14:02 +0000
@@ -23,7 +23,7 @@
 from bzrlib import (
     tests,
     )
-from bzrlib.tests import tree_implementations
+from bzrlib.tests import per_tree
 from bzrlib.mutabletree import MutableTree
 from bzrlib.tests import SymlinkFeature, TestSkipped
 from bzrlib.transform import _PreviewTree
@@ -34,7 +34,7 @@
     return tree.iter_entries_by_dir([file_id]).next()[1]
 
 
-class TestPreviousHeads(tree_implementations.TestCaseWithTree):
+class TestPreviousHeads(per_tree.TestCaseWithTree):
 
     def setUp(self):
         # we want several inventories, that respectively
@@ -69,12 +69,12 @@
     # TODO: test two inventories with the same file revision
 
 
-class TestInventoryWithSymlinks(tree_implementations.TestCaseWithTree):
+class TestInventoryWithSymlinks(per_tree.TestCaseWithTree):
 
     _test_needs_features = [tests.SymlinkFeature]
 
     def setUp(self):
-        tree_implementations.TestCaseWithTree.setUp(self)
+        per_tree.TestCaseWithTree.setUp(self)
         self.tree = self.get_tree_with_subdirs_and_all_content_types()
         self.tree.lock_read()
         self.addCleanup(self.tree.unlock)
@@ -101,7 +101,7 @@
         self.assertEqual(None, entry.text_size)
 
 
-class TestInventory(tree_implementations.TestCaseWithTree):
+class TestInventory(per_tree.TestCaseWithTree):
 
     def test_paths2ids_recursive(self):
         work_tree = self.make_branch_and_tree('tree')

=== modified file 'bzrlib/tests/per_tree/test_iter_search_rules.py'
--- bzrlib/tests/tree_implementations/test_iter_search_rules.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_tree/test_iter_search_rules.py	2009-07-10 07:14:02 +0000
@@ -20,7 +20,7 @@
     rules,
     tests,
     )
-from bzrlib.tests.tree_implementations import TestCaseWithTree
+from bzrlib.tests.per_tree import TestCaseWithTree
 
 
 class TestIterSearchRules(TestCaseWithTree):

=== modified file 'bzrlib/tests/per_tree/test_list_files.py'
--- bzrlib/tests/tree_implementations/test_list_files.py	2009-05-18 06:32:08 +0000
+++ bzrlib/tests/per_tree/test_list_files.py	2009-07-10 07:14:02 +0000
@@ -16,7 +16,7 @@
 
 """Test that all trees support Tree.list_files()"""
 
-from bzrlib.tests.tree_implementations import TestCaseWithTree
+from bzrlib.tests.per_tree import TestCaseWithTree
 
 
 class TestListFiles(TestCaseWithTree):

=== modified file 'bzrlib/tests/per_tree/test_path_content_summary.py'
--- bzrlib/tests/tree_implementations/test_path_content_summary.py	2009-04-11 16:06:53 +0000
+++ bzrlib/tests/per_tree/test_path_content_summary.py	2009-07-10 07:14:02 +0000
@@ -23,13 +23,13 @@
     tests,
     )
 
-from bzrlib.tests import tree_implementations
-
-
-class TestPathContentSummary(tree_implementations.TestCaseWithTree):
+from bzrlib.tests import per_tree
+
+
+class TestPathContentSummary(per_tree.TestCaseWithTree):
 
     def _convert_tree(self, tree):
-        result = tree_implementations.TestCaseWithTree._convert_tree(self, tree)
+        result = per_tree.TestCaseWithTree._convert_tree(self, tree)
         result.lock_read()
         self.addCleanup(result.unlock)
         return result

=== modified file 'bzrlib/tests/per_tree/test_revision_tree.py'
--- bzrlib/tests/tree_implementations/test_revision_tree.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_tree/test_revision_tree.py	2009-07-10 07:14:02 +0000
@@ -17,7 +17,7 @@
 """Tests for Tree.revision_tree."""
 
 from bzrlib import errors
-from bzrlib.tests.tree_implementations import TestCaseWithTree
+from bzrlib.tests.per_tree import TestCaseWithTree
 
 
 class TestRevisionTree(TestCaseWithTree):

=== modified file 'bzrlib/tests/per_tree/test_test_trees.py'
--- bzrlib/tests/tree_implementations/test_test_trees.py	2009-04-11 16:06:53 +0000
+++ bzrlib/tests/per_tree/test_test_trees.py	2009-07-10 07:14:02 +0000
@@ -14,13 +14,13 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-"""Tests for the test trees used by the tree_implementations tests."""
+"""Tests for the test trees used by the per_tree tests."""
 
 from bzrlib import tests
-from bzrlib.tests import tree_implementations
-
-
-class TestTreeShapes(tree_implementations.TestCaseWithTree):
+from bzrlib.tests import per_tree
+
+
+class TestTreeShapes(per_tree.TestCaseWithTree):
 
     def test_empty_tree_no_parents(self):
         tree = self.make_branch_and_tree('.')

=== modified file 'bzrlib/tests/per_tree/test_tree.py'
--- bzrlib/tests/tree_implementations/test_tree.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/per_tree/test_tree.py	2009-07-10 07:14:02 +0000
@@ -23,7 +23,7 @@
     workingtree_4,
     )
 from bzrlib.tests import TestSkipped
-from bzrlib.tests.tree_implementations import TestCaseWithTree
+from bzrlib.tests.per_tree import TestCaseWithTree
 
 class TestAnnotate(TestCaseWithTree):
 

=== modified file 'bzrlib/tests/per_tree/test_walkdirs.py'
--- bzrlib/tests/tree_implementations/test_walkdirs.py	2009-04-11 16:06:53 +0000
+++ bzrlib/tests/per_tree/test_walkdirs.py	2009-07-10 07:14:02 +0000
@@ -20,7 +20,7 @@
 
 from bzrlib import tests
 from bzrlib.osutils import has_symlinks
-from bzrlib.tests.tree_implementations import TestCaseWithTree
+from bzrlib.tests.per_tree import TestCaseWithTree
 
 
 class TestWalkdirs(TestCaseWithTree):

=== renamed directory 'bzrlib/tests/workingtree_implementations' => 'bzrlib/tests/per_workingtree'
=== modified file 'bzrlib/tests/per_workingtree/__init__.py'
--- bzrlib/tests/workingtree_implementations/__init__.py	2009-07-10 06:35:38 +0000
+++ bzrlib/tests/per_workingtree/__init__.py	2009-07-10 12:40:36 +0000
@@ -19,7 +19,7 @@
 
 These test the conformance of all the workingtre variations to the expected API.
 Specific tests for individual formats are in the tests/test_workingtree file
-rather than in tests/workingtree_implementations/*.py.
+rather than in tests/per_workingtree/*.py.
 """
 
 from bzrlib import (
@@ -27,7 +27,7 @@
     tests,
     workingtree,
     )
-from bzrlib.tests import bzrdir_implementations
+from bzrlib.tests import per_bzrdir
 
 
 def make_scenarios(transport_server, transport_readonly_server, formats):
@@ -50,7 +50,7 @@
         }
 
 
-class TestCaseWithWorkingTree(bzrdir_implementations.TestCaseWithBzrDir):
+class TestCaseWithWorkingTree(per_bzrdir.TestCaseWithBzrDir):
 
     def make_branch_and_tree(self, relpath, format=None):
         made_control = self.make_bzrdir(relpath, format=format)
@@ -66,45 +66,45 @@
 
 
 def load_tests(standard_tests, module, loader):
-    test_workingtree_implementations = [
-        'bzrlib.tests.workingtree_implementations.test_add_reference',
-        'bzrlib.tests.workingtree_implementations.test_add',
-        'bzrlib.tests.workingtree_implementations.test_annotate_iter',
-        'bzrlib.tests.workingtree_implementations.test_basis_inventory',
-        'bzrlib.tests.workingtree_implementations.test_basis_tree',
-        'bzrlib.tests.workingtree_implementations.test_break_lock',
-        'bzrlib.tests.workingtree_implementations.test_changes_from',
-        'bzrlib.tests.workingtree_implementations.test_content_filters',
-        'bzrlib.tests.workingtree_implementations.test_commit',
-        'bzrlib.tests.workingtree_implementations.test_eol_conversion',
-        'bzrlib.tests.workingtree_implementations.test_executable',
-        'bzrlib.tests.workingtree_implementations.test_flush',
-        'bzrlib.tests.workingtree_implementations.test_get_file_mtime',
-        'bzrlib.tests.workingtree_implementations.test_get_parent_ids',
-        'bzrlib.tests.workingtree_implementations.test_inv',
-        'bzrlib.tests.workingtree_implementations.test_is_control_filename',
-        'bzrlib.tests.workingtree_implementations.test_is_ignored',
-        'bzrlib.tests.workingtree_implementations.test_locking',
-        'bzrlib.tests.workingtree_implementations.test_merge_from_branch',
-        'bzrlib.tests.workingtree_implementations.test_mkdir',
-        'bzrlib.tests.workingtree_implementations.test_move',
-        'bzrlib.tests.workingtree_implementations.test_nested_specifics',
-        'bzrlib.tests.workingtree_implementations.test_parents',
-        'bzrlib.tests.workingtree_implementations.test_paths2ids',
-        'bzrlib.tests.workingtree_implementations.test_pull',
-        'bzrlib.tests.workingtree_implementations.test_put_file',
-        'bzrlib.tests.workingtree_implementations.test_readonly',
-        'bzrlib.tests.workingtree_implementations.test_read_working_inventory',
-        'bzrlib.tests.workingtree_implementations.test_remove',
-        'bzrlib.tests.workingtree_implementations.test_rename_one',
-        'bzrlib.tests.workingtree_implementations.test_revision_tree',
-        'bzrlib.tests.workingtree_implementations.test_set_root_id',
-        'bzrlib.tests.workingtree_implementations.test_smart_add',
-        'bzrlib.tests.workingtree_implementations.test_uncommit',
-        'bzrlib.tests.workingtree_implementations.test_unversion',
-        'bzrlib.tests.workingtree_implementations.test_views',
-        'bzrlib.tests.workingtree_implementations.test_walkdirs',
-        'bzrlib.tests.workingtree_implementations.test_workingtree',
+    per_wt_mod_names = [
+        'add_reference',
+        'add',
+        'annotate_iter',
+        'basis_inventory',
+        'basis_tree',
+        'break_lock',
+        'changes_from',
+        'content_filters',
+        'commit',
+        'eol_conversion',
+        'executable',
+        'flush',
+        'get_file_mtime',
+        'get_parent_ids',
+        'inv',
+        'is_control_filename',
+        'is_ignored',
+        'locking',
+        'merge_from_branch',
+        'mkdir',
+        'move',
+        'nested_specifics',
+        'parents',
+        'paths2ids',
+        'pull',
+        'put_file',
+        'readonly',
+        'read_working_inventory',
+        'remove',
+        'rename_one',
+        'revision_tree',
+        'set_root_id',
+        'smart_add',
+        'uncommit',
+        'unversion',
+        'views',
+        'walkdirs',
+        'workingtree',
         ]
 
     scenarios = make_scenarios(
@@ -117,5 +117,7 @@
 
     # add the tests for the sub modules
     return tests.multiply_tests(
-        loader.loadTestsFromModuleNames(test_workingtree_implementations),
+        loader.loadTestsFromModuleNames(
+        ['bzrlib.tests.per_workingtree.test_' + name
+         for name in per_wt_mod_names]),
         scenarios, standard_tests)

=== modified file 'bzrlib/tests/per_workingtree/test_add.py'
--- bzrlib/tests/workingtree_implementations/test_add.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_add.py	2009-07-10 07:14:02 +0000
@@ -24,7 +24,7 @@
     osutils,
     tests,
     )
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestAdd(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_add_reference.py'
--- bzrlib/tests/workingtree_implementations/test_add_reference.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_add_reference.py	2009-07-10 07:14:02 +0000
@@ -17,7 +17,7 @@
 import os
 
 from bzrlib import errors, tests, workingtree, workingtree_4
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 TREES_NOT_SUPPORTING_REFERENCES = (workingtree.WorkingTree2,
                                    workingtree.WorkingTree3,

=== modified file 'bzrlib/tests/per_workingtree/test_annotate_iter.py'
--- bzrlib/tests/workingtree_implementations/test_annotate_iter.py	2009-07-06 21:18:12 +0000
+++ bzrlib/tests/per_workingtree/test_annotate_iter.py	2009-07-10 07:14:02 +0000
@@ -24,7 +24,7 @@
     osutils,
     tests,
     )
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestAnnotateIter(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_basis_inventory.py'
--- bzrlib/tests/workingtree_implementations/test_basis_inventory.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_basis_inventory.py	2009-07-10 07:14:02 +0000
@@ -17,7 +17,7 @@
 import os
 
 from bzrlib.tests import TestNotApplicable
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 from bzrlib.branch import Branch
 from bzrlib import inventory
 from bzrlib.revision import Revision

=== modified file 'bzrlib/tests/per_workingtree/test_basis_tree.py'
--- bzrlib/tests/workingtree_implementations/test_basis_tree.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_basis_tree.py	2009-07-10 07:14:02 +0000
@@ -16,7 +16,7 @@
 
 """Test that WorkingTree.basis_tree() yields a valid tree."""
 
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestBasisTree(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_break_lock.py'
--- bzrlib/tests/workingtree_implementations/test_break_lock.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_break_lock.py	2009-07-10 07:14:02 +0000
@@ -21,7 +21,7 @@
 import bzrlib
 import bzrlib.errors as errors
 from bzrlib.tests import TestNotApplicable
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestBreakLock(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_changes_from.py'
--- bzrlib/tests/workingtree_implementations/test_changes_from.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_changes_from.py	2009-07-10 07:14:02 +0000
@@ -17,7 +17,7 @@
 """Test Tree.changes_from() for WorkingTree specific scenarios."""
 
 from bzrlib import revision
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestChangesFrom(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_commit.py'
--- bzrlib/tests/workingtree_implementations/test_commit.py	2009-07-08 05:27:06 +0000
+++ bzrlib/tests/per_workingtree/test_commit.py	2009-07-10 07:14:02 +0000
@@ -34,7 +34,7 @@
                            UnsupportedOperation)
 from bzrlib.osutils import pathjoin, getcwd
 from bzrlib.tests import TestCase
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 from bzrlib.trace import mutter
 from bzrlib.workingtree import (TreeEntry, TreeDirectory, TreeFile, TreeLink,
                                 WorkingTree)

=== modified file 'bzrlib/tests/per_workingtree/test_content_filters.py'
--- bzrlib/tests/workingtree_implementations/test_content_filters.py	2009-06-11 04:21:06 +0000
+++ bzrlib/tests/per_workingtree/test_content_filters.py	2009-07-10 07:14:02 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib.filters import ContentFilter
 from bzrlib.workingtree import WorkingTree
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 def _converter_helper(chunks, fn):

=== modified file 'bzrlib/tests/per_workingtree/test_eol_conversion.py'
--- bzrlib/tests/workingtree_implementations/test_eol_conversion.py	2009-06-10 06:48:01 +0000
+++ bzrlib/tests/per_workingtree/test_eol_conversion.py	2009-07-10 07:14:02 +0000
@@ -21,7 +21,7 @@
 
 from bzrlib import rules, status
 from bzrlib.tests import TestSkipped
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 from bzrlib.workingtree import WorkingTree
 
 

=== modified file 'bzrlib/tests/per_workingtree/test_executable.py'
--- bzrlib/tests/workingtree_implementations/test_executable.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_executable.py	2009-07-10 07:14:02 +0000
@@ -23,7 +23,7 @@
     )
 from bzrlib.inventory import InventoryFile
 from bzrlib.transform import TreeTransform
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestExecutable(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_flush.py'
--- bzrlib/tests/workingtree_implementations/test_flush.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_flush.py	2009-07-10 07:14:02 +0000
@@ -17,7 +17,7 @@
 """Tests for WorkingTree.flush."""
 
 from bzrlib import errors, inventory
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestFlush(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_get_file_mtime.py'
--- bzrlib/tests/workingtree_implementations/test_get_file_mtime.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_get_file_mtime.py	2009-07-10 07:14:02 +0000
@@ -18,7 +18,7 @@
 
 import os
 
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestGetFileMTime(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_get_parent_ids.py'
--- bzrlib/tests/workingtree_implementations/test_get_parent_ids.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_get_parent_ids.py	2009-07-10 07:14:02 +0000
@@ -17,7 +17,7 @@
 
 """Tests for interface conformance of 'workingtree.get_parent_ids'"""
 
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestGetParentIds(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_inv.py'
--- bzrlib/tests/workingtree_implementations/test_inv.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_inv.py	2009-07-10 07:14:02 +0000
@@ -24,7 +24,7 @@
     errors,
     inventory,
     )
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestRevert(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_is_control_filename.py'
--- bzrlib/tests/workingtree_implementations/test_is_control_filename.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_is_control_filename.py	2009-07-10 07:14:02 +0000
@@ -18,7 +18,7 @@
 import os
 
 from bzrlib.osutils import basename
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestIsControlFilename(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_is_ignored.py'
--- bzrlib/tests/workingtree_implementations/test_is_ignored.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_is_ignored.py	2009-07-10 07:14:02 +0000
@@ -17,7 +17,7 @@
 
 import bzrlib
 from bzrlib import config, ignores, osutils
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestIsIgnored(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_locking.py'
--- bzrlib/tests/workingtree_implementations/test_locking.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_locking.py	2009-07-10 07:14:02 +0000
@@ -21,7 +21,7 @@
     errors,
     lockdir,
     )
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestWorkingTreeLocking(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_merge_from_branch.py'
--- bzrlib/tests/workingtree_implementations/test_merge_from_branch.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_merge_from_branch.py	2009-07-10 07:14:02 +0000
@@ -23,7 +23,7 @@
     errors,
     merge
     )
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestMergeFromBranch(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_mkdir.py'
--- bzrlib/tests/workingtree_implementations/test_mkdir.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_mkdir.py	2009-07-10 07:14:02 +0000
@@ -17,7 +17,7 @@
 
 """Tests for interface conformance of 'workingtree.put_mkdir'"""
 
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestMkdir(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_move.py'
--- bzrlib/tests/workingtree_implementations/test_move.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_move.py	2009-07-10 07:14:02 +0000
@@ -24,7 +24,7 @@
     )
 
 from bzrlib.workingtree_4 import DirStateWorkingTreeFormat
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestMove(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_nested_specifics.py'
--- bzrlib/tests/workingtree_implementations/test_nested_specifics.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_nested_specifics.py	2009-07-10 07:14:02 +0000
@@ -18,7 +18,7 @@
 
 from bzrlib.tests import TestNotApplicable
 from bzrlib.transform import TreeTransform
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestNestedSupport(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_parents.py'
--- bzrlib/tests/workingtree_implementations/test_parents.py	2009-05-06 05:36:28 +0000
+++ bzrlib/tests/per_workingtree/test_parents.py	2009-07-10 07:14:02 +0000
@@ -33,7 +33,7 @@
     InventoryLink,
     )
 from bzrlib.revision import Revision
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 from bzrlib.uncommit import uncommit
 
 

=== modified file 'bzrlib/tests/per_workingtree/test_paths2ids.py'
--- bzrlib/tests/workingtree_implementations/test_paths2ids.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_paths2ids.py	2009-07-10 07:14:02 +0000
@@ -24,7 +24,7 @@
 from operator import attrgetter
 
 from bzrlib import errors
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 # TODO: This needs an additional test: do a merge, then do a

=== modified file 'bzrlib/tests/per_workingtree/test_pull.py'
--- bzrlib/tests/workingtree_implementations/test_pull.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_pull.py	2009-07-10 07:14:02 +0000
@@ -21,7 +21,7 @@
 from bzrlib import errors
 from bzrlib.errors import NotBranchError, NotVersionedError
 from bzrlib.osutils import basename
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 from bzrlib.trace import mutter
 from bzrlib.transport import get_transport
 

=== modified file 'bzrlib/tests/per_workingtree/test_put_file.py'
--- bzrlib/tests/workingtree_implementations/test_put_file.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_put_file.py	2009-07-10 07:14:02 +0000
@@ -17,7 +17,7 @@
 
 """Tests for interface conformance of 'workingtree.put_file*'"""
 
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestPutFileBytesNonAtomic(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_read_working_inventory.py'
--- bzrlib/tests/workingtree_implementations/test_read_working_inventory.py	2009-04-04 02:50:01 +0000
+++ bzrlib/tests/per_workingtree/test_read_working_inventory.py	2009-07-10 07:14:02 +0000
@@ -17,7 +17,7 @@
 """Tests for WorkingTree.read_working_inventory."""
 
 from bzrlib import errors, inventory
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestReadWorkingInventory(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_readonly.py'
--- bzrlib/tests/workingtree_implementations/test_readonly.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_readonly.py	2009-07-10 07:14:02 +0000
@@ -25,7 +25,7 @@
     hashcache,
     tests,
     )
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestReadonly(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_remove.py'
--- bzrlib/tests/workingtree_implementations/test_remove.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_remove.py	2009-07-10 07:14:02 +0000
@@ -16,7 +16,7 @@
 
 """Tests for interface conformance of 'WorkingTree.remove'"""
 
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 from bzrlib import errors, ignores, osutils
 
 class TestRemove(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_rename_one.py'
--- bzrlib/tests/workingtree_implementations/test_rename_one.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_rename_one.py	2009-07-10 07:14:02 +0000
@@ -24,7 +24,7 @@
     tests,
     )
 
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestRenameOne(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_revision_tree.py'
--- bzrlib/tests/workingtree_implementations/test_revision_tree.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_revision_tree.py	2009-07-10 07:14:02 +0000
@@ -17,14 +17,14 @@
 """Tests for WorkingTree.revision_tree.
 
 These tests are in addition to the tests from
-tree_implementations.test_revision_tree which cover the behaviour expected from
+per_tree.test_revision_tree which cover the behaviour expected from
 all Trees. WorkingTrees implement the revision_tree api to allow access to
 cached data, but we don't require that all WorkingTrees have such a cache,
 so these tests are testing that when there is a cache, it performs correctly.
 """
 
 from bzrlib import errors
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestRevisionTree(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_set_root_id.py'
--- bzrlib/tests/workingtree_implementations/test_set_root_id.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_set_root_id.py	2009-07-10 07:14:02 +0000
@@ -17,7 +17,7 @@
 """Tests for WorkingTree.set_root_id"""
 
 from bzrlib import inventory
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestSetRootId(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_smart_add.py'
--- bzrlib/tests/workingtree_implementations/test_smart_add.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_smart_add.py	2009-07-10 07:14:02 +0000
@@ -31,7 +31,7 @@
     AddFromBaseAction,
     )
 from bzrlib.tests.test_smart_add import AddCustomIDAction
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestSmartAddTree(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_uncommit.py'
--- bzrlib/tests/workingtree_implementations/test_uncommit.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_uncommit.py	2009-07-10 07:14:02 +0000
@@ -24,7 +24,7 @@
     symbol_versioning,
     uncommit,
     )
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestUncommit(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_unversion.py'
--- bzrlib/tests/workingtree_implementations/test_unversion.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_unversion.py	2009-07-10 07:14:02 +0000
@@ -20,7 +20,7 @@
     errors,
     osutils,
     )
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestUnversion(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_views.py'
--- bzrlib/tests/workingtree_implementations/test_views.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_views.py	2009-07-10 07:14:02 +0000
@@ -25,7 +25,7 @@
 from bzrlib.tests import TestSkipped
 from bzrlib.workingtree import WorkingTree
 
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestTreeViews(TestCaseWithWorkingTree):

=== modified file 'bzrlib/tests/per_workingtree/test_walkdirs.py'
--- bzrlib/tests/workingtree_implementations/test_walkdirs.py	2009-03-23 14:59:43 +0000
+++ bzrlib/tests/per_workingtree/test_walkdirs.py	2009-07-10 07:14:02 +0000
@@ -20,7 +20,7 @@
 
 from bzrlib import transform
 from bzrlib.tests import SymlinkFeature
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 # tests to write:
 # type mismatches - file to link, dir, dir to file, link, link to file, dir

=== modified file 'bzrlib/tests/per_workingtree/test_workingtree.py'
--- bzrlib/tests/workingtree_implementations/test_workingtree.py	2009-03-24 12:15:01 +0000
+++ bzrlib/tests/per_workingtree/test_workingtree.py	2009-07-10 07:14:02 +0000
@@ -35,7 +35,7 @@
 from bzrlib.inventory import Inventory
 from bzrlib.osutils import pathjoin, getcwd, has_symlinks
 from bzrlib.tests import TestSkipped, TestNotApplicable
-from bzrlib.tests.workingtree_implementations import TestCaseWithWorkingTree
+from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 from bzrlib.trace import mutter
 from bzrlib.workingtree import (TreeEntry, TreeDirectory, TreeFile, TreeLink,
                                 WorkingTree, WorkingTree2)

=== modified file 'bzrlib/tests/test_branch.py'
--- bzrlib/tests/test_branch.py	2009-04-23 16:02:28 +0000
+++ bzrlib/tests/test_branch.py	2009-07-10 05:49:34 +0000
@@ -16,7 +16,7 @@
 
 """Tests for the Branch facility that are not interface  tests.
 
-For interface tests see tests/branch_implementations/*.py.
+For interface tests see tests/per_branch/*.py.
 
 For concrete class tests see this file, and for meta-branch tests
 also see this file.

=== modified file 'bzrlib/tests/test_bzrdir.py'
--- bzrlib/tests/test_bzrdir.py	2009-06-10 08:05:05 +0000
+++ bzrlib/tests/test_bzrdir.py	2009-07-10 07:14:02 +0000
@@ -16,7 +16,7 @@
 
 """Tests for the BzrDir facility and any format specific tests.
 
-For interface contract tests, see tests/bzr_dir_implementations.
+For interface contract tests, see tests/per_bzr_dir.
 """
 
 import os

=== modified file 'bzrlib/tests/test_fetch.py'
--- bzrlib/tests/test_fetch.py	2009-05-07 05:08:46 +0000
+++ bzrlib/tests/test_fetch.py	2009-07-10 06:46:10 +0000
@@ -38,7 +38,7 @@
 from bzrlib.workingtree import WorkingTree
 
 # These tests are a bit old; please instead add new tests into
-# interrepository_implementations/ so they'll run on all relevant
+# per_interrepository/ so they'll run on all relevant
 # combinations.
 
 

=== modified file 'bzrlib/tests/test_inv.py'
--- bzrlib/tests/test_inv.py	2009-07-10 02:33:46 +0000
+++ bzrlib/tests/test_inv.py	2009-07-10 12:40:36 +0000
@@ -33,7 +33,7 @@
     multiply_tests,
     split_suite_by_condition,
     )
-from bzrlib.tests.workingtree_implementations import workingtree_formats
+from bzrlib.tests.per_workingtree import workingtree_formats
 
 
 def load_tests(standard_tests, module, loader):

=== modified file 'bzrlib/tests/test_read_bundle.py'
--- bzrlib/tests/test_read_bundle.py	2009-07-08 08:51:19 +0000
+++ bzrlib/tests/test_read_bundle.py	2009-07-10 07:14:02 +0000
@@ -26,7 +26,7 @@
 from bzrlib.symbol_versioning import deprecated_in
 from bzrlib import tests
 from bzrlib.tests.test_transport import TestTransportImplementation
-from bzrlib.tests.test_transport_implementations import transport_test_permutations
+from bzrlib.tests.per_transport import transport_test_permutations
 import bzrlib.transport
 from bzrlib.transport.memory import MemoryTransport
 import bzrlib.urlutils

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2009-07-01 15:50:51 +0000
+++ bzrlib/tests/test_selftest.py	2009-07-10 10:46:00 +0000
@@ -120,8 +120,7 @@
             def get_test_permutations(self):
                 return sample_permutation
         sample_permutation = [(1,2), (3,4)]
-        from bzrlib.tests.test_transport_implementations \
-            import get_transport_test_permutations
+        from bzrlib.tests.per_transport import get_transport_test_permutations
         self.assertEqual(sample_permutation,
                          get_transport_test_permutations(MockModule()))
 
@@ -130,8 +129,7 @@
         # as there are in all the registered transport modules - we assume if
         # this matches its probably doing the right thing especially in
         # combination with the tests for setting the right classes below.
-        from bzrlib.tests.test_transport_implementations \
-            import transport_test_permutations
+        from bzrlib.tests.per_transport import transport_test_permutations
         from bzrlib.transport import _get_transport_modules
         modules = _get_transport_modules()
         permutation_count = 0
@@ -149,8 +147,7 @@
         # This test used to know about all the possible transports and the
         # order they were returned but that seems overly brittle (mbp
         # 20060307)
-        from bzrlib.tests.test_transport_implementations \
-            import transport_test_permutations
+        from bzrlib.tests.per_transport import transport_test_permutations
         scenarios = transport_test_permutations()
         # there are at least that many builtin transports
         self.assertTrue(len(scenarios) > 6)
@@ -167,7 +164,7 @@
     def test_scenarios(self):
         # check that constructor parameters are passed through to the adapted
         # test.
-        from bzrlib.tests.branch_implementations import make_scenarios
+        from bzrlib.tests.per_branch import make_scenarios
         server1 = "a"
         server2 = "b"
         formats = [("c", "C"), ("d", "D")]
@@ -192,7 +189,7 @@
     def test_scenarios(self):
         # check that constructor parameters are passed through to the adapted
         # test.
-        from bzrlib.tests.bzrdir_implementations import make_scenarios
+        from bzrlib.tests.per_bzrdir import make_scenarios
         vfs_factory = "v"
         server1 = "a"
         server2 = "b"
@@ -293,8 +290,7 @@
     def test_scenarios(self):
         # check that constructor parameters are passed through to the adapted
         # test.
-        from bzrlib.tests.interrepository_implementations import \
-            make_scenarios
+        from bzrlib.tests.per_interrepository import make_scenarios
         server1 = "a"
         server2 = "b"
         formats = [(str, "C1", "C2"), (int, "D1", "D2")]
@@ -320,8 +316,7 @@
     def test_scenarios(self):
         # check that constructor parameters are passed through to the adapted
         # test.
-        from bzrlib.tests.workingtree_implementations \
-            import make_scenarios
+        from bzrlib.tests.per_workingtree import make_scenarios
         server1 = "a"
         server2 = "b"
         formats = [workingtree.WorkingTreeFormat2(),
@@ -351,7 +346,7 @@
         # workingtree_to_test_tree attribute set to 'return_parameter' and the
         # revision one set to revision_tree_from_workingtree.
 
-        from bzrlib.tests.tree_implementations import (
+        from bzrlib.tests.per_tree import (
             _dirstate_tree_from_workingtree,
             make_scenarios,
             preview_tree_pre,
@@ -433,11 +428,11 @@
         # unlike the TestProviderAdapter we dont want to automatically add a
         # parameterized one for WorkingTree - the optimisers will tell us what
         # ones to add.
-        from bzrlib.tests.tree_implementations import (
+        from bzrlib.tests.per_tree import (
             return_parameter,
             revision_tree_from_workingtree
             )
-        from bzrlib.tests.intertree_implementations import (
+        from bzrlib.tests.per_intertree import (
             make_scenarios,
             )
         from bzrlib.workingtree import WorkingTreeFormat2, WorkingTreeFormat3
@@ -2203,10 +2198,9 @@
         test_list = [
             # testmod_names
             'bzrlib.tests.blackbox.test_branch.TestBranch.test_branch',
+            ('bzrlib.tests.per_transport.TransportTests'
+             '.test_abspath(LocalURLServer)'),
             'bzrlib.tests.test_selftest.TestTestSuite.test_test_suite',
-            # transport implementations
-            'bzrlib.tests.test_transport_implementations.TransportTests'
-            '.test_abspath(LocalURLServer)',
             # modules_to_doctest
             'bzrlib.timestamp.format_highres_date',
             # plugins can't be tested that way since selftest may be run with

